## tomahawk-player 0.8.4+dfsg1

=== CMakeLists.txt ===
PROJECT( tomahawk )
CMAKE_MINIMUM_REQUIRED( VERSION 2.8.6 )
SET( CMAKE_MODULE_PATH  "${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules" )
CMAKE_POLICY(SET CMP0017 NEW)

IF ( CMAKE_VERSION VERSION_EQUAL 2.8.12 OR CMAKE_VERSION VERSION_GREATER 2.8.12 )
CMAKE_POLICY(SET CMP0022 NEW)

# TODO:
# Update to NEW and fix things up when we can depend on 2.8.12
CMAKE_POLICY(SET CMP0023 OLD)
ENDIF()

INCLUDE(CMakeDependentOption)

###
### Tomahawk application info
###
SET( TOMAHAWK_ORGANIZATION_NAME "Tomahawk" )
SET( TOMAHAWK_ORGANIZATION_DOMAIN "tomahawk-player.org" )
SET( TOMAHAWK_APPLICATION_NAME  "Tomahawk" )
SET( TOMAHAWK_DESCRIPTION_SUMMARY "The social media player" )
IF(APPLE)
    SET( TOMAHAWK_TARGET_NAME "Tomahawk" )
ELSE()
    SET( TOMAHAWK_TARGET_NAME "tomahawk" )
ENDIF()

IF( WIN32 )
    SET( TOMAHAWK_SYSTEM "Windows" )
ELSEIF( APPLE )
    SET( TOMAHAWK_SYSTEM "OS X" )
ELSEIF( UNIX )
    SET( TOMAHAWK_SYSTEM "Linux")
ELSE()
    SET( TOMAHAWK_SYSTEM "Uknown Platform, please let the Tomahawk team know, this actually happened" )
ENDIF()

SET( TOMAHAWK_VERSION_MAJOR 0 )
SET( TOMAHAWK_VERSION_MINOR 8 )
SET( TOMAHAWK_VERSION_PATCH 4 )
#SET( TOMAHAWK_VERSION_RC 1 )

SET( TOMAHAWK_TRANSLATION_LANGUAGES ar bg bn_IN ca cs da de en el es fi fr hi_IN hu gl id it ja lt nl pl pt_BR ro ru sq sv th tr uk vi zh_CN zh_TW )

# add_definitions is only in the scope of this directory and all directories
# below it. Tomahawk Libraries and plugins that are built with Tomahawk are
# not included in out-of-source build so we need to re-add_definitions there.
macro(tomahawk_add_definitions DEFINITION)
    add_definitions( ${DEFINITION} )
    list(APPEND TOMAHAWK_DEFINITIONS ${DEFINITION})
endmacro()

# enforce proper symbol exporting on all platforms
tomahawk_add_definitions( "-fvisibility=hidden" )
# enforce using constBegin, constEnd for const-iterators
tomahawk_add_definitions( "-DQT_STRICT_ITERATORS" )

# build options
option(BUILD_RELEASE "Generate TOMAHAWK_VERSION without GIT info" OFF)
if(BUILD_RELEASE)
    set(BUILD_NO_RELEASE OFF)
else()
    set(BUILD_NO_RELEASE ON)
endif()

option(BUILD_GUI "Build Tomahawk with GUI" ON)
option(BUILD_TESTS "Build Tomahawk with unit tests" ${BUILD_NO_RELEASE})
option(BUILD_TOOLS "Build Tomahawk helper tools" ${BUILD_NO_RELEASE})
option(BUILD_HATCHET "Build the Hatchet plugin" ON)
option(BUILD_WITH_QT4 "Build Tomahawk with Qt4 no matter if Qt5 was found" ON)

option(WITH_CRASHREPORTER "Build with CrashReporter" ON)
option(WITH_BINARY_ATTICA "Enable support for downloading binary resolvers automatically" ON)
option(LEGACY_KDE_INTEGRATION "Install tomahawk.protocol file, deprecated since 4.6.0" OFF)
option(WITH_KDE4 "Build with support for KDE specific stuff" ON)

# build options for development purposes
option(SANITIZE_ADDRESS "Enable Address Sanitizer for memory error detection" OFF)
option(TOMAHAWK_FINEGRAINED_MESSAGES "Enable even more verbose logging (will hurt performance significantly" OFF)

CMAKE_DEPENDENT_OPTION(WITH_UPOWER "Build with support for UPower events" ON
       "UNIX;NOT APPLE" OFF)
CMAKE_DEPENDENT_OPTION(WITH_GNOMESHORTCUTHANDLER "Build with shortcut handler for GNOME" ON
       "UNIX;NOT APPLE" OFF)

IF( CMAKE_SYSTEM_PROCESSOR MATCHES "arm" OR NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/thirdparty/libcrashreporter-qt/CMakeLists.txt")
    message(STATUS "Build of crashreporter disabled.")
    SET(WITH_CRASHREPORTER OFF)
ENDIF()

# generate version string

# base string used in release and unstable builds
SET( TOMAHAWK_VERSION_TMP "${TOMAHAWK_VERSION_MAJOR}.${TOMAHAWK_VERSION_MINOR}.${TOMAHAWK_VERSION_PATCH}")
SET( TOMAHAWK_VERSION_SHORT "${TOMAHAWK_VERSION_TMP}" )
IF( TOMAHAWK_VERSION_RC )
  SET( TOMAHAWK_VERSION_TMP "${TOMAHAWK_VERSION_TMP}rc${TOMAHAWK_VERSION_RC}")
ENDIF()

# additional info for non-release builds
IF( NOT BUILD_RELEASE AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/.git/" )
    INCLUDE( CMakeDateStamp )
    SET( TOMAHAWK_VERSION_DATE "${CMAKE_DATESTAMP_YEAR}${CMAKE_DATESTAMP_MONTH}${CMAKE_DATESTAMP_DAY}" )
    IF( TOMAHAWK_VERSION_DATE GREATER 0 )
        SET( TOMAHAWK_VERSION_TMP ${TOMAHAWK_VERSION_TMP}.${TOMAHAWK_VERSION_DATE} )
    ENDIF()

    INCLUDE( CMakeVersionSource )
    IF( CMAKE_VERSION_SOURCE )
        SET( TOMAHAWK_VERSION_TMP ${TOMAHAWK_VERSION_TMP}-${CMAKE_VERSION_SOURCE} )
    ENDIF()
ENDIF()

# write Tomahawk version to cache
SET(TOMAHAWK_VERSION "${TOMAHAWK_VERSION_TMP}" CACHE STRING "Tomahawk Version")


# set paths
SET( THIRDPARTY_DIR "${CMAKE_SOURCE_DIR}/thirdparty" )
SET( CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}" )
SET( CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}" )
SET( CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}" )

# make predefined install dirs available everywhere
INCLUDE( GNUInstallDirs )

# installer creation
INCLUDE( TomahawkCPack.cmake )

# deps
INCLUDE( MacroOptionalFindPackage )
INCLUDE( MacroLogFeature )

message( STATUS "Building Tomahawk ${TOMAHAWK_VERSION} ***" )

if( NOT BUILD_WITH_QT4 )
    find_package(Qt5Core QUIET)
    if( Qt5Core_DIR )
        # CMAKE 2.8.13+/3.0.0+ requires these for IMPORTed targets
        find_package(Qt5Concurrent REQUIRED)
        find_package(Qt5Svg REQUIRED)
        find_package(Qt5UiTools REQUIRED)
        find_package(Qt5WebKitWidgets REQUIRED)
        find_package(Qt5Widgets REQUIRED)
        find_package(Qt5Xml REQUIRED)
        message(STATUS "Found Qt5! Be aware that Qt5-support is still experimental and not officially supported!")

        if( UNIX AND NOT APPLE )
            # We need this to find the paths to qdbusxml2cpp and co
            find_package(Qt5DBus REQUIRED)
        endif()

        if(WIN32)
            find_package(Qt5WinExtras REQUIRED)
        endif()

        macro(qt_wrap_ui)
            qt5_wrap_ui(${ARGN})
        endmacro()

        macro(qt_add_resources)
            qt5_add_resources(${ARGN})
        endmacro()

        find_package(Qt5LinguistTools REQUIRED)
        macro(qt_add_translation)
            qt5_add_translation(${ARGN})
        endmacro()

        macro(qt_add_dbus_interface)
            qt5_add_dbus_interface(${ARGN})
        endmacro()

        macro(qt_add_dbus_adaptor)
            qt5_add_dbus_adaptor(${ARGN})
        endmacro()

        macro(setup_qt)
        endmacro()

        set(QT_RCC_EXECUTABLE "${Qt5Core_RCC_EXECUTABLE}")
        #FIXME: CrashReporter depends on deprecated QHttp
        set(WITH_KDE4 OFF)
    endif()
endif()
if( NOT Qt5Core_DIR )
    message(STATUS "Could not find Qt5, searching for Qt4 instead...")

    set(NEEDED_QT4_COMPONENTS "QtCore" "QtXml" "QtNetwork")
    if( BUILD_GUI )
        list(APPEND NEEDED_QT4_COMPONENTS "QtGui" "QtWebkit" "QtUiTools" "QtSvg")
    endif()
    if( BUILD_TESTS )
        list(APPEND NEEDED_QT4_COMPONENTS "QtTest")
    endif()

    macro_optional_find_package(Qt4 4.7.0 COMPONENTS ${NEEDED_QT4_COMPONENTS} )
    macro_log_feature(QT4_FOUND "Qt" "A cross-platform application and UI framework" "http://qt-project.org" TRUE "" "If you see this, although libqt4-devel is installed, check whether the \n     qtwebkit-devel package and whatever contains QtUiTools is installed too")

    macro(qt5_use_modules)
    endmacro()

    macro(qt_wrap_ui)
        qt4_wrap_ui(${ARGN})
    endmacro()

    macro(qt_add_resources)
        qt4_add_resources(${ARGN})
    endmacro()

    macro(qt_add_translation)
        qt4_add_translation(${ARGN})
    endmacro()

    macro(qt_add_dbus_interface)
      qt4_add_dbus_interface(${ARGN})
    endmacro()

    macro(qt_add_dbus_adaptor)
        qt4_add_dbus_adaptor(${ARGN})
    endmacro()

    macro(setup_qt)
        if( NOT BUILD_GUI )
            set(QT_DONT_USE_QTGUI TRUE)
        endif()
        if( UNIX AND NOT APPLE )
            set(QT_USE_QTDBUS TRUE)
        endif()
        set(QT_USE_QTSQL TRUE)
        set(QT_USE_QTNETWORK TRUE)
        set(QT_USE_QTXML TRUE)
        set(QT_USE_QTWEBKIT TRUE)

        include( ${QT_USE_FILE} )
    endmacro()

    # Qt5 C++11 Macros not defined within Qt4
    # TODO: Add C++11 support
    tomahawk_add_definitions( "-DQ_DECL_FINAL=" )
    tomahawk_add_definitions( "-DQ_DECL_OVERRIDE=" )
endif()

if( Qt5Core_DIR )
    set( TOMAHAWK_QT5 TRUE )
else( Qt5Core_DIR )
    set( TOMAHAWK_QT5 FALSE )
endif( Qt5Core_DIR )

if( BUILD_GUI AND UNIX AND NOT APPLE )
    macro_optional_find_package( X11 )
    macro_log_feature(X11_FOUND "X11" "The Xorg libraries" "http://www.x.org/wiki/" TRUE "" "Xorg libraries are used by libqnetwm to bring windows to front reliably")
endif()

# Check if we can use <functional> or need <tr1/functional>
include( CheckStdFunctional )
check_std_functional( CXX_STD_FUNCTIONAL )
include( CheckStdTr1Functional )
check_std_tr1_functional( CXX_STD_TR1_FUNCTIONAL )
if ( NOT CXX_STD_FUNCTIONAL AND NOT CXX_STD_TR1_FUNCTIONAL )
    message( FATAL_ERROR
        "Used compiler neither provides std::function nor std::tr1::function")
endif()

macro_optional_find_package(Echonest 2.2.0)
macro_log_feature(ECHONEST_FOUND "Echonest" "Qt library for communicating with The Echo Nest" "http://projects.kde.org/libechonest" TRUE "" "libechonest 2.2.0 is needed for dynamic playlists and the infosystem")

find_package(Boost REQUIRED COMPONENTS filesystem system)
macro_log_feature(Boost_FOUND "Boost" "Provides free peer-reviewed portable C++ source libraries" "http://www.boost.org" TRUE "" "") #FIXME: give useful explanation

macro_optional_find_package(Lucene++ 3.0.0)
macro_log_feature(LUCENEPP_FOUND "Lucene++" "The open-source, C++ search engine" "https://github.com/luceneplusplus/LucenePlusPlus/" TRUE "" "Lucene++ is used for indexing the collection")

if( NOT TOMAHAWK_QT5 )
    macro_optional_find_package(QJSON 0.8.1)
    macro_log_feature(QJSON_FOUND "QJson" "Qt library that maps JSON data to QVariant objects" "http://qjson.sf.net" TRUE "" "libqjson is used for encoding communication between Tomahawk instances")
ENDIF()

macro_optional_find_package(Taglib 1.8.0)
macro_log_feature(TAGLIB_FOUND "TagLib" "Audio Meta-Data Library" "http://developer.kde.org/~wheeler/taglib.html" TRUE "" "taglib is needed for reading meta data from audio files")
include( CheckTagLibFileName )
check_taglib_filename( COMPLEX_TAGLIB_FILENAME )

macro_optional_find_package(Sparsehash)
macro_log_feature(SPARSEHASH_FOUND "Sparsehash"
    "An extremely memory-efficient hash_map implementation."
    "https://code.google.com/p/sparsehash/" TRUE ""
    "Sparsehash is needed for reading metadata of mediastreams and fast
    forward/backward seeking in HTTP streams")

macro_optional_find_package(GnuTLS)
macro_log_feature(GNUTLS_FOUND "GnuTLS"
    "GnuTLS is a secure communications library implementing the SSL, TLS and DTLS protocols and technologies around them."
    "http://gnutls.org/" TRUE ""
    "GnuTLS is needed for serving the Playdar/HTTP API via TLS")

macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA2" "Provides encryption and signing functions necessary for some resolvers and accounts" "http://delta.affinix.com/qca/" TRUE "" "")

if( TOMAHAWK_QT5 )
    macro_optional_find_package(KF5Attica 1.0.0)
    set(LIBATTICA_FOUND ${KF5Attica_FOUND})
else()
    macro_optional_find_package(LibAttica 0.4.0)
endif()
macro_log_feature(LIBATTICA_FOUND "libattica" "Provides support for installation of resolvers from the Tomahawk website" "http://download.kde.org/stable/attica/" TRUE "" "")

macro_optional_find_package(QuaZip)
macro_log_feature(QuaZip_FOUND "QuaZip" "Provides support for extracting downloaded resolvers automatically." "http://quazip.sourceforge.net/" TRUE "" "")

macro_optional_find_package(Jreen 1.0.5)
macro_log_feature(JREEN_FOUND "Jreen" "Qt XMPP Library" "http://qutim.org/jreen / https://github.com/euroelessar/jreen" FALSE "" "Jreen is needed for the Jabber SIP plugin.\n")
if( PC_JREEN_VERSION STREQUAL "1.1.0" )
    message(FATAL_ERROR "Jreen 1.1.0 has a very annoying bug that breaks accepting auth requests in Tomahawk. Please upgrade to 1.1.1 or downgrade to 1.0.5.")
endif()

=== admin/CMakeLists.txt ===
IF(WIN32)
    INSTALL(DIRECTORY win DESTINATION share/tomahawk/admin )
ENDIF(WIN32)

=== src/CMakeLists.txt ===
include( ${PROJECT_BINARY_DIR}/TomahawkUse.cmake )

setup_qt()

include_directories( ${CMAKE_CURRENT_BINARY_DIR}/libtomahawk )
include_directories( ${CMAKE_CURRENT_LIST_DIR}/libtomahawk )

include_directories( ${CMAKE_CURRENT_BINARY_DIR} )
include_directories( ${CMAKE_CURRENT_LIST_DIR} )

# library
add_subdirectory( libtomahawk )
add_subdirectory( libtomahawk-widgets )
add_subdirectory( libtomahawk-playdarapi )

# plugins
add_subdirectory( accounts )
add_subdirectory( infoplugins )
add_subdirectory( viewpages )


# application
add_subdirectory( tomahawk )

# tools
if(BUILD_TOOLS)
    add_subdirectory( tools )
endif()

if(WITH_CRASHREPORTER)
    add_subdirectory( crashreporter )
endif()

=== thirdparty/CMakeLists.txt ===
ADD_SUBDIRECTORY( qxt )
ADD_SUBDIRECTORY( kdsingleapplicationguard )
ADD_SUBDIRECTORY( qt-certificate-addon )
IF( WITH_CRASHREPORTER )
    ADD_SUBDIRECTORY( libcrashreporter-qt )
ENDIF()
IF( APPLE )
    ADD_SUBDIRECTORY( SPMediaKeyTap )
ENDIF()

=== src/accounts/CMakeLists.txt ===

file(GLOB SUBDIRECTORIES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*")
foreach(SUBDIRECTORY ${SUBDIRECTORIES})
  if(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${SUBDIRECTORY}" AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${SUBDIRECTORY}/CMakeLists.txt")
    if((SUBDIRECTORY STREQUAL "xmpp") OR (SUBDIRECTORY STREQUAL "google"))
        if( JREEN_FOUND )
            add_subdirectory(${SUBDIRECTORY})
        endif()
    elseif(SUBDIRECTORY STREQUAL "hatchet")
        if(BUILD_HATCHET AND BUILD_GUI)
            add_subdirectory(hatchet)
        endif()
    else()
        add_subdirectory(${SUBDIRECTORY})
    endif()
  endif()
endforeach()

=== src/crashreporter/CMakeLists.txt ===
PROJECT( CrashReporter )
cmake_policy(SET CMP0017 NEW)

setup_qt()

list(APPEND crashreporter_SOURCES main.cpp)
list(APPEND crashreporter_RC resources.qrc)

qt_wrap_ui( crashreporter_UI_HEADERS ${crashreporter_UI} )
qt_add_resources( crashreporter_RC_RCC ${crashreporter_RC} )


if(BUILD_RELEASE)
    set(CRASHREPORTER_RELEASE_CHANNEL "release")
else()
    set(CRASHREPORTER_RELEASE_CHANNEL "nightly")
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CrashReporterConfig.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/CrashReporterConfig.h)


include_directories( ${CMAKE_CURRENT_BINARY_DIR}
    ../../libtomahawk
    ../../thirdparty/libcrashreporter-qt/src
)

add_executable( tomahawk_crash_reporter WIN32
    ${crashreporter_SOURCES}
    ${crashreporter_HEADERS_MOC}
    ${crashreporter_UI_HEADERS}
    ${crashreporter_RC_RCC}
)


target_link_libraries(tomahawk_crash_reporter
    tomahawklib
    crashreporter-gui
    ${QT_LIBRARIES}
)

set_target_properties(tomahawk_crash_reporter PROPERTIES AUTOMOC ON)
install(TARGETS tomahawk_crash_reporter RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})

qt5_use_modules(tomahawk_crash_reporter Widgets Network)

=== src/infoplugins/CMakeLists.txt ===
include( ${CMAKE_CURRENT_LIST_DIR}/../../TomahawkAddPlugin.cmake )

add_subdirectory( generic )

if(UNIX AND NOT APPLE)
    add_subdirectory( linux )
endif()

if(APPLE)
    add_subdirectory( mac )
endif()

=== src/libtomahawk-playdarapi/CMakeLists.txt ===

set(TOMAHAWK_PLAYDARAPI_LIBRARY_TARGET tomahawk-playdarapi)

list(APPEND ${TOMAHAWK_PLAYDARAPI_LIBRARY_TARGET}_SOURCES
    Api_v1.cpp
    Api_v1_5.cpp
    PlaydarApi.cpp
    StatResponseHandler.cpp
    )

list(APPEND ${TOMAHAWK_PLAYDARAPI_LIBRARY_TARGET}_UI
    )

include_directories(
    ${QXTWEB_INCLUDE_DIRS}
    ${THIRDPARTY_DIR}/qt-certificate-addon/src/
    )

tomahawk_add_library(${TOMAHAWK_PLAYDARAPI_LIBRARY_TARGET}
    SOURCES ${${TOMAHAWK_PLAYDARAPI_LIBRARY_TARGET}_SOURCES}
    UI ${${TOMAHAWK_PLAYDARAPI_LIBRARY_TARGET}_UI}
    LINK_PRIVATE_LIBRARIES
        ${QXTWEB_LIBRARIES}
        qtcertificateaddon
        ${GNUTLS_LIBRARIES}
    EXPORT TomahawkLibraryDepends
    VERSION ${TOMAHAWK_VERSION_SHORT}
    )

=== src/libtomahawk-widgets/CMakeLists.txt ===

set(TOMAHAWK_WIDGETS_LIBRARY_TARGET tomahawk-widgets)

list(APPEND ${TOMAHAWK_WIDGETS_LIBRARY_TARGET}_SOURCES
    PlaylistDelegate.cpp
    PlaylistWidget.cpp
)

list(APPEND ${TOMAHAWK_WIDGETS_LIBRARY_TARGET}_UI
)

tomahawk_add_library(${TOMAHAWK_WIDGETS_LIBRARY_TARGET}
    SOURCES ${${TOMAHAWK_WIDGETS_LIBRARY_TARGET}_SOURCES}
    UI ${${TOMAHAWK_WIDGETS_LIBRARY_TARGET}_UI}
    EXPORT TomahawkLibraryDepends
    VERSION ${TOMAHAWK_VERSION_SHORT}
)

=== src/libtomahawk/CMakeLists.txt ===
project( tomahawklib )

add_definitions( ${QT_DEFINITIONS} )
add_definitions( -DQT_SHARED )
add_definitions( -DDLLEXPORT_PRO )
add_definitions( -DQT_SHAREDPOINTER_TRACK_POINTERS )
add_definitions( -DPORTFWDDLLEXPORT_STATIC )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/../tomahawk/Config.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/../tomahawk/TomahawkVersion.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/TomahawkVersion.h)

set( libGuiSources
    ActionCollection.cpp

    ContextMenu.cpp
    DropJob.cpp
    GlobalActionManager.cpp
    ViewPage.cpp
    ViewPageLazyLoader.cpp
    ViewPagePlugin.cpp
    ViewManager.cpp
    LatchManager.cpp

    jobview/JobStatusView.cpp
    jobview/JobStatusModel.cpp
    jobview/JobStatusDelegate.cpp
    jobview/JobStatusItem.cpp
    jobview/AclJobItem.cpp
    jobview/PipelineStatusItem.cpp
    jobview/ScannerStatusItem.cpp
    jobview/TransferStatusItem.cpp
    jobview/LatchedStatusItem.cpp
    jobview/ErrorStatusMessage.cpp
    jobview/IndexingJobItem.cpp
    jobview/InboxJobItem.cpp

    playlist/InboxModel.cpp
    playlist/InboxView.cpp
    playlist/ContextView.cpp
    playlist/TreeModel.cpp
    playlist/TreeProxyModel.cpp
    playlist/TreeProxyModelPlaylistInterface.cpp
    playlist/ColumnItemDelegate.cpp
    playlist/ColumnViewPreviewWidget.cpp
    playlist/PlaylistModel.cpp
    playlist/PlaylistItemDelegate.cpp
    playlist/QueueProxyModel.cpp
    playlist/QueueView.cpp
    playlist/PlayableModel.cpp
    playlist/PlayableProxyModel.cpp
    playlist/PlayableProxyModelPlaylistInterface.cpp
    playlist/TrackView.cpp
    playlist/AlbumModel.cpp
    playlist/GridItemDelegate.cpp
    playlist/GridView.cpp
    playlist/ColumnView.cpp
    playlist/ViewHeader.cpp
    playlist/LovedTracksModel.cpp
    playlist/RecentlyLovedTracksModel.cpp
    playlist/TopLovedTracksModel.cpp
    playlist/RecentlyAddedModel.cpp
    playlist/RecentlyPlayedModel.cpp
    playlist/TrackItemDelegate.cpp
    playlist/PlayableItem.cpp
    playlist/SingleTrackPlaylistInterface.cpp
    playlist/RevisionQueueItem.cpp
    playlist/TrackDetailView.cpp

    playlist/dynamic/DynamicPlaylist.cpp
    playlist/dynamic/DynamicView.cpp
    playlist/dynamic/DynamicModel.cpp
    playlist/dynamic/echonest/EchonestGenerator.cpp
    playlist/dynamic/echonest/EchonestControl.cpp
    playlist/dynamic/echonest/EchonestSteerer.cpp
    playlist/dynamic/widgets/DynamicWidget.cpp
    playlist/dynamic/widgets/DynamicControlWrapper.cpp
    playlist/dynamic/widgets/DynamicControlList.cpp
    playlist/dynamic/widgets/ReadOrWriteWidget.cpp
    playlist/dynamic/widgets/MiscControlWidgets.cpp
    playlist/dynamic/widgets/CollapsibleControls.cpp
    playlist/dynamic/widgets/DynamicSetupWidget.cpp

    resolvers/ExternalResolverGui.cpp
    resolvers/ScriptResolver.cpp
    resolvers/JSResolver.cpp
    resolvers/JSResolverHelper.cpp
    resolvers/ScriptEngine.cpp

    utils/DpiScaler.cpp
    utils/ImageRegistry.cpp
    utils/WidgetDragFilter.cpp
    utils/XspfGenerator.cpp
    utils/JspfLoader.cpp
    utils/SpotifyParser.cpp
    utils/M3uLoader.cpp
    utils/ItunesParser.cpp
    utils/ItunesLoader.cpp
    utils/ShortenedLinkParser.cpp
    utils/TomahawkStyle.cpp
    utils/DropJobNotifier.cpp
    utils/ProxyStyle.cpp
    utils/TomahawkUtilsGui.cpp
    utils/Closure.cpp
    utils/PixmapDelegateFader.cpp
    utils/SmartPointerList.h
    utils/AnimatedSpinner.cpp
    utils/BinaryInstallerHelper.cpp
    utils/BinaryExtractWorker.cpp
    utils/SharedTimeLine.cpp
    utils/ResultUrlChecker.cpp
    utils/NetworkReply.cpp
    utils/NetworkProxyFactory.cpp
    utils/NetworkAccessManager.cpp
    utils/ShortLinkHelper.cpp

    viewpages/SearchViewPage.cpp
    viewpages/SourceViewPage.cpp
    viewpages/ArtistViewPage.cpp
    viewpages/AlbumViewPage.cpp
    viewpages/TrackViewPage.cpp
    viewpages/PlaylistViewPage.cpp
    viewpages/CollectionViewPage.cpp

    widgets/AnimatedSplitter.cpp
    widgets/BasicHeader.cpp
    widgets/HoverControls.cpp
    widgets/BackgroundWidget.cpp
    widgets/Breadcrumb.cpp
    widgets/BreadcrumbButton.cpp
    widgets/ChartDataLoader.cpp
    widgets/ClickableLabel.cpp
    widgets/ComboBox.cpp
    widgets/ElidedLabel.cpp
    widgets/FilterHeader.cpp
    widgets/CaptionLabel.cpp
    widgets/HeaderLabel.cpp
    widgets/HistoryWidget.cpp
    widgets/ImageButton.cpp
    widgets/OverlayButton.cpp
    widgets/OverlayWidget.cpp
    widgets/PlayableCover.cpp
    widgets/PlaylistsModel.cpp
    widgets/QueryLabel.cpp
    widgets/RecentPlaylistsModel.cpp
    widgets/RecentlyPlayedPlaylistsModel.cpp
    widgets/ScriptCollectionHeader.cpp
    widgets/ScrollingLabel.cpp
    widgets/SeekSlider.cpp
    widgets/SourceTreePopupDialog.cpp
    widgets/ToggleButton.cpp

    widgets/searchlineedit/ClearButton.cpp
    widgets/searchlineedit/LineEdit.cpp
    widgets/searchlineedit/SearchButton.cpp
    widgets/searchlineedit/SearchLineEdit.cpp
)

if(QCA2_FOUND)
    set( libGuiSources ${libGuiSources} utils/GroovesharkParser.cpp )
endif()

if(UNIX AND NOT APPLE AND NOT Qt5Core_DIR)
    if(BUILD_GUI AND X11_FOUND)
        include_directories( ${THIRDPARTY_DIR}/libqnetwm )
        list(APPEND libSources ${libSources} ${THIRDPARTY_DIR}/libqnetwm/libqnetwm/netwm.cpp)
        list(APPEND LINK_LIBRARIES ${X11_LIBRARIES})
    endif()
endif()

list(APPEND libSources
    TomahawkSettings.cpp
    SourceList.cpp
    Pipeline.cpp

    Artist.cpp
    ArtistPlaylistInterface.cpp
    Album.cpp
    AlbumPlaylistInterface.cpp
    CountryUtils.cpp
    FuncTimeout.cpp
    Playlist.cpp
    PlaylistEntry.cpp
    PlaylistPlaylistInterface.cpp
    MetaPlaylistInterface.cpp
    Query.cpp
    Result.cpp
    Source.cpp
    Track.cpp
    TrackData.cpp
    SourcePlaylistInterface.cpp
    PlaylistInterface.cpp
    UrlHandler.cpp

    EchonestCatalogSynchronizer.cpp

    accounts/AccountManager.cpp
    accounts/Account.cpp
    accounts/AccountModel.cpp
    accounts/AccountModelFilterProxy.cpp
    accounts/CredentialsManager.cpp
    accounts/ResolverAccount.cpp
    accounts/AccountDelegate.cpp
    accounts/DelegateConfigWrapper.cpp
    accounts/AccountFactoryWrapper.cpp
    accounts/AccountFactoryWrapperDelegate.cpp
    accounts/AccountConfigWidget.cpp
    accounts/ConfigStorage.cpp
    accounts/LocalConfigStorage.cpp

    accounts/spotify/SpotifyAccount.cpp
    accounts/spotify/SpotifyAccountConfig.cpp
#    accounts/spotify/SpotifyPlaylistUpdater.cpp
    accounts/spotify/SpotifyInfoPlugin.cpp

    audio/AudioEngine.cpp

    collection/Collection.cpp
    collection/ArtistsRequest.cpp
    collection/AlbumsRequest.cpp
    collection/TracksRequest.cpp

    database/Database.cpp
    database/fuzzyindex/FuzzyIndex.cpp
    database/fuzzyindex/DatabaseFuzzyIndex.cpp
    database/DatabaseCollection.cpp
    database/LocalCollection.cpp
    database/DatabaseWorker.cpp
    database/DatabaseImpl.cpp
    database/DatabaseResolver.cpp
    database/DatabaseCommand.cpp
    database/DatabaseCommand_AddClientAuth.cpp
    database/DatabaseCommand_AddFiles.cpp
    database/DatabaseCommand_AddSource.cpp
    database/DatabaseCommand_AllAlbums.cpp
    database/DatabaseCommand_AllArtists.cpp
    database/DatabaseCommand_AllTracks.cpp
    database/DatabaseCommand_ArtistStats.cpp
    database/DatabaseCommand_CalculatePlaytime.cpp
    database/DatabaseCommand_ClientAuthValid.cpp
    database/DatabaseCommand_CollectionAttributes.cpp
    database/DatabaseCommand_CollectionStats.cpp
    database/DatabaseCommand_CreateDynamicPlaylist.cpp
    database/DatabaseCommand_CreatePlaylist.cpp
    database/DatabaseCommand_DeleteDynamicPlaylist.cpp
    database/DatabaseCommand_DeleteFiles.cpp
    database/DatabaseCommand_DeleteInboxEntry.cpp
    database/DatabaseCommand_DeletePlaylist.cpp
    database/DatabaseCommand_DirMtimes.cpp
    database/DatabaseCommand_FileMTimes.cpp
    database/DatabaseCommand_GenericSelect.cpp
    database/DatabaseCommand_LoadAllAutoPlaylists.cpp
    database/DatabaseCommand_LoadAllPlaylists.cpp
    database/DatabaseCommand_LoadAllSortedPlaylists.cpp
    database/DatabaseCommand_LoadAllSources.cpp
    database/DatabaseCommand_LoadAllStations.cpp
    database/DatabaseCommand_LoadDynamicPlaylist.cpp
    database/DatabaseCommand_LoadDynamicPlaylistEntries.cpp
    database/DatabaseCommand_LoadFiles.cpp
    database/DatabaseCommand_LoadInboxEntries.cpp
    database/DatabaseCommand_LoadOps.cpp
    database/DatabaseCommand_LoadPlaylistEntries.cpp
    database/DatabaseCommand_LoadSocialActions.cpp
    database/DatabaseCommand_LoadTrackAttributes.cpp
    database/DatabaseCommand_LogPlayback.cpp
    database/DatabaseCommand_ModifyInboxEntry.cpp
    database/DatabaseCommand_ModifyPlaylist.cpp
    database/DatabaseCommand_NetworkCharts.cpp
    database/DatabaseCommand_PlaybackCharts.cpp
    database/DatabaseCommand_PlaybackHistory.cpp
    database/DatabaseCommand_RenamePlaylist.cpp
    database/DatabaseCommand_Resolve.cpp
    database/DatabaseCommand_SetCollectionAttributes.cpp
    database/DatabaseCommand_SetDynamicPlaylistRevision.cpp
    database/DatabaseCommand_SetPlaylistRevision.cpp
    database/DatabaseCommand_SetTrackAttributes.cpp
    database/DatabaseCommand_ShareTrack.cpp
    database/DatabaseCommand_SocialAction.cpp
    database/DatabaseCommand_SourceOffline.cpp
    database/DatabaseCommand_TrackAttributes.cpp
    database/DatabaseCommand_TrackStats.cpp
    database/DatabaseCommand_TrendingArtists.cpp
    database/DatabaseCommand_TrendingTracks.cpp
    database/DatabaseCommand_UpdateSearchIndex.cpp
    database/DatabaseCommandLoggable.cpp
    database/IdThreadWorker.cpp
    database/TomahawkSqlQuery.cpp

    infosystem/InfoSystem.cpp
    infosystem/InfoSystemCache.cpp
    infosystem/InfoSystemWorker.cpp

    filemetadata/MusicScanner.cpp
    filemetadata/ScanManager.cpp
    filemetadata/taghandlers/tag.cpp
    filemetadata/taghandlers/apetag.cpp
    filemetadata/taghandlers/asftag.cpp
    filemetadata/taghandlers/id3v1tag.cpp
    filemetadata/taghandlers/id3v2tag.cpp
    filemetadata/taghandlers/mp4tag.cpp
    filemetadata/taghandlers/oggtag.cpp
    filemetadata/MetadataEditor.cpp

    network/acl/AclRegistry.cpp
    network/acl/AclRequest.cpp
    network/BufferIoDevice.cpp
    network/Msg.cpp
    network/MsgProcessor.cpp
    network/StreamConnection.cpp
    network/DbSyncConnection.cpp
    network/RemoteCollection.cpp
    network/PortFwdThread.cpp
    network/Servent.cpp
    network/Connection.cpp
    network/ControlConnection.cpp
    network/QTcpSocketExtra.cpp
    network/ConnectionManager.cpp

    playlist/PlaylistUpdaterInterface.cpp
    playlist/PlaylistTemplate.cpp
    playlist/XspfPlaylistTemplate.cpp
    playlist/dynamic/DynamicPlaylist.cpp
    playlist/dynamic/GeneratorFactory.cpp
    playlist/dynamic/GeneratorInterface.cpp
    playlist/dynamic/DynamicPlaylistRevision.cpp
    playlist/XspfUpdater.cpp
    playlist/dynamic/database/DatabaseGenerator.cpp
    playlist/dynamic/database/DatabaseControl.cpp
    playlist/dynamic/DynamicControl.cpp

    resolvers/ExternalResolver.cpp
    resolvers/Resolver.cpp
    resolvers/ScriptCollection.cpp
    resolvers/ScriptCommand_AllArtists.cpp
    resolvers/ScriptCommand_AllAlbums.cpp
    resolvers/ScriptCommand_AllTracks.cpp
    resolvers/ScriptCommand_LookupUrl.cpp
    resolvers/ScriptCommandQueue.cpp

    sip/SipPlugin.cpp
    sip/SipInfo.cpp
    sip/PeerInfo.cpp
    sip/SipStatusMessage.cpp

    utils/Cloudstream.cpp
    utils/Json.cpp
    utils/TomahawkUtils.cpp
    utils/Logger.cpp
    utils/Qnr_IoDeviceStream.cpp
    utils/XspfLoader.cpp
    utils/TomahawkCache.cpp
    utils/GuiHelpers.cpp
    utils/WeakObjectHash.cpp
    utils/WeakObjectList.cpp
    utils/PluginLoader.cpp
)

add_subdirectory( accounts/configstorage )

IF(LIBLASTFM_FOUND)
    include_directories( ${LIBLASTFM_INCLUDE_DIRS} )
    list(APPEND LINK_LIBRARIES ${LIBLASTFM_LIBRARIES} )
    list(APPEND libSources
        accounts/lastfm/LastFmAccount.cpp

=== src/tests/CMakeLists.txt ===
setup_qt()

include_directories(${CMAKE_CURRENT_LIST_DIR}/../tomahawk ${CMAKE_CURRENT_LIST_DIR}/../libtomahawk)
include(tomahawk_add_test.cmake)

tomahawk_add_test(Result)
tomahawk_add_test(Query)
tomahawk_add_test(Database)
tomahawk_add_test(Servent)

=== src/tomahawk/CMakeLists.txt ===
PROJECT( tomahawk )
CMAKE_MINIMUM_REQUIRED( VERSION 2.8 )

include( AddAppIconMacro )

# SET( CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}" )
# SET( CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}" )
# SET( CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}" )
IF( NOT CMAKE_BUILD_TYPE STREQUAL "Release" AND NOT CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
    MESSAGE( "Building in debug mode, enabling all debug updates" )
ENDIF()

# build plugins
# use glob, but hardcoded list for now:
#FILE( GLOB plugindirs "src/plugins/*" )
#FOREACH( moddir ${plugindirs} )
#    MESSAGE( status "Building plugin: ${moddir}" )
#    ADD_SUBDIRECTORY( ${moddir} )
#ENDFOREACH( moddir )

SET( tomahawkSources ${tomahawkSources}
     AclRegistryImpl.cpp
     ShortcutHandler.cpp
     UbuntuUnityHack.cpp
     TomahawkApp.cpp
     main.cpp
)

IF( LIBLASTFM_FOUND )
    SET(tomahawkSources ${tomahawkSources}
        Scrobbler.cpp
    )
ENDIF( LIBLASTFM_FOUND )

SET( tomahawkSourcesGui ${tomahawkSourcesGui}
     dialogs/DiagnosticsDialog.cpp
     dialogs/LoadPlaylistDialog.cpp
     dialogs/SettingsDialog.cpp

     sourcetree/SourcesModel.cpp
     sourcetree/SourcesProxyModel.cpp
     sourcetree/SourceTreeView.cpp
     sourcetree/SourceDelegate.cpp
     sourcetree/items/ScriptCollectionItem.cpp
     sourcetree/items/SourceTreeItem.cpp
     sourcetree/items/SourceItem.cpp
     sourcetree/items/PlaylistItems.cpp
     sourcetree/items/CategoryItems.cpp
     sourcetree/items/GenericPageItems.cpp
     sourcetree/items/LovedTracksItem.cpp
     sourcetree/items/TemporaryPageItem.cpp
     sourcetree/items/GroupItem.cpp
     sourcetree/items/CollectionItem.cpp
     sourcetree/items/HistoryItem.cpp
     sourcetree/items/InboxItem.cpp
     sourcetree/items/QueueItem.cpp

     TomahawkTrayIcon.cpp
     AudioControls.cpp
     TomahawkWindow.cpp

     widgets/ContainedMenuButton.cpp
     widgets/AccountListView.cpp
     widgets/AccountListWidget.cpp
     widgets/AccountModelFactoryProxy.cpp
     widgets/AccountWidget.cpp
     widgets/AccountsPopupWidget.cpp
     widgets/AccountsToolButton.cpp
     widgets/SlideSwitchButton.cpp
     widgets/SocialWidget.cpp
     widgets/SplashWidget.cpp
)

SET( tomahawkUI ${tomahawkUI}
     dialogs/DiagnosticsDialog.ui
     dialogs/HostDialog.ui
     dialogs/LoadPlaylistDialog.ui
     dialogs/ProxyDialog.ui
     dialogs/Settings_Accounts.ui
     dialogs/Settings_Advanced.ui
     dialogs/Settings_Collection.ui

     TomahawkWindow.ui

     AudioControls.ui

     widgets/SocialWidget.ui
)

INCLUDE_DIRECTORIES(
    .
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/../libtomahawk

    sourcetree
    ../libtomahawk
    mac

    ${THIRDPARTY_DIR}/libcrashreporter-qt/src/
    ${THIRDPARTY_DIR}/kdsingleapplicationguard/

    ${TAGLIB_INCLUDES}
    ${LIBATTICA_INCLUDE_DIR}
    ${ECHONEST_INCLUDE_DIR}
    ${LIBLASTFM_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIR}
)

SET( OS_SPECIFIC_LINK_LIBRARIES "" )

IF( WIN32 )
  INCLUDE( "CMakeLists.win32.cmake" )
ENDIF( WIN32 )
IF( UNIX )
  INCLUDE( "CMakeLists.unix.cmake" )
ENDIF( UNIX )

IF( APPLE )
    SET( CMAKE_LINKER_FLAGS "-headerpad_max_install_names ${CMAKE_LINKER_FLAGS}" )

    INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/thirdparty/SPMediaKeyTap )

    SET( tomahawkSources ${tomahawkSources} mac/TomahawkApp_Mac.mm mac/MacShortcutHandler.cpp )
ENDIF( APPLE )

IF( QCA2_FOUND )
    INCLUDE_DIRECTORIES( ${QCA2_INCLUDE_DIR} )
ENDIF( QCA2_FOUND )

INCLUDE(GNUInstallDirs)

# currently only in libtomahawk, we might want to properly split what's in which config file
# configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Config.h.in
#                ${CMAKE_CURRENT_BINARY_DIR}/config.h)
# configure_file(${CMAKE_CURRENT_SOURCE_DIR}/TomahawkVersion.h.in
#                ${CMAKE_CURRENT_BINARY_DIR}/TomahawkVersion.h)

# translations
include( ${CMAKE_SOURCE_DIR}/lang/translations.cmake )
add_tomahawk_translations( ${TOMAHAWK_TRANSLATION_LANGUAGES} )

SET( final_src ${final_src} ${tomahawkMoc} ${tomahawkSources} ${trans_outfile})

IF( BUILD_GUI )
    LIST(APPEND tomahawkSources ${tomahawkSourcesGui})
    qt_wrap_ui( tomahawkUI_H ${tomahawkUI} )
ENDIF()

tomahawk_add_app_icon( tomahawkSources Tomahawk "${CMAKE_SOURCE_DIR}/data/icons/tomahawk-icon-*.png" )
qt_add_resources( RC_SRCS "../../resources.qrc" )

SET( final_src ${final_src} ${tomahawkUI_H} ${tomahawkMoc} ${tomahawkSources} ${RC_SRCS} )

if(APPLE)
    set(TOMAHAWK_RUNTIME_OUTPUT_NAME "Tomahawk")
else()
    set(TOMAHAWK_RUNTIME_OUTPUT_NAME "tomahawk")
endif()

ADD_EXECUTABLE( tomahawk_bin WIN32 MACOSX_BUNDLE ${final_src} )
SET_TARGET_PROPERTIES(tomahawk_bin
    PROPERTIES
        AUTOMOC TRUE
        MACOSX_BUNDLE_INFO_PLIST "${CMAKE_BINARY_DIR}/Info.plist"
        RUNTIME_OUTPUT_NAME ${TOMAHAWK_RUNTIME_OUTPUT_NAME}
)


qt5_use_modules(tomahawk_bin Core Widgets Network Sql WebKitWidgets)
if(WIN32)
    qt5_use_modules(tomahawk_bin WinExtras)
endif()

MESSAGE( STATUS "OS_SPECIFIC_LINK_LIBRARIES: ${OS_SPECIFIC_LINK_LIBRARIES}" )

IF( LIBLASTFM_FOUND )
    LIST(APPEND LINK_LIBRARIES ${LINK_LIBRARIES} ${LIBLASTFM_LIBRARIES} )
ENDIF( LIBLASTFM_FOUND )
IF( QCA2_FOUND )
    LIST(APPEND LINK_LIBRARIES ${LINK_LIBRARIES} ${QCA2_LIBRARIES} )
ENDIF( QCA2_FOUND )
IF( WITH_CRASHREPORTER )
    LIST(APPEND LINK_LIBRARIES ${LINK_LIBRARIES} crashreporter-handler )
ENDIF()

TARGET_LINK_LIBRARIES( tomahawk_bin
    kdsingleapplicationguard
    ${LINK_LIBRARIES}
    ${TOMAHAWK_WIDGETS_LIBRARIES}
    ${TOMAHAWK_PLAYDARAPI_LIBRARIES}
    ${TOMAHAWK_LIBRARIES}
    ${OS_SPECIFIC_LINK_LIBRARIES}
    ${QT_LIBRARIES}
    ${MAC_EXTRA_LIBS}
    ${ECHONEST_LIBRARIES}
    ${TAGLIB_LIBRARIES}
    ${Boost_LIBRARIES}
)

IF( APPLE )
  IF( HAVE_SPARKLE )
    MESSAGE("Sparkle Found, installing framekwork in bundle")
    INSTALL(DIRECTORY "${SPARKLE}/Versions/Current/Resources" DESTINATION "${CMAKE_BINARY_DIR}/Tomahawk.app/Contents/Frameworks/Sparkle.framework")

  ENDIF( HAVE_SPARKLE )
ENDIF( APPLE )

INSTALL( TARGETS tomahawk_bin BUNDLE DESTINATION . RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} )

IF( UNIX AND NOT APPLE AND KDE4_INSTALLED AND LEGACY_KDE_INTEGRATION ) #install protocol file
  FILE( READ ${CMAKE_SOURCE_DIR}/admin/unix/tomahawk.protocol protocol )
  STRING( REPLACE "/path/to/binary" # match this
              "${CMAKE_INSTALL_FULL_BINDIR}/tomahawk" # this is linux (kde) so pretty safe I think
              edited_protocol # save in this variable
              "${protocol}" # from the contents of this var
          )
  FILE( WRITE ${CMAKE_BINARY_DIR}/tomahawk.protocol "${edited_protocol}" )
  IF( ${SERVICES_INSTALL_DIR} )
    SET( PROTOCOL_INSTALL_DIR ${SERVICES_INSTALL_DIR} )
  ELSE()
    SET( PROTOCOL_INSTALL_DIR "${CMAKE_INSTALL_FULL_DATADIR}/kde4/services" )
  ENDIF()
  INSTALL( FILES ${CMAKE_BINARY_DIR}/tomahawk.protocol DESTINATION ${PROTOCOL_INSTALL_DIR} )
ENDIF()

#INCLUDE( "CPack.txt" )

=== debian/changelog ===
tomahawk-player (0.8.4+dfsg1-0ubuntu1) xenial; urgency=medium

  * New upstream release (LP: #1487729)
  * Repack upstream tarball
  
 -- Stefan Ahlers <stef.ahlers@t-online.de>  Tue, 02 Mar 2016 12:20:00 +0100

tomahawk (0.7.0+dfsg1-0ubuntu10) xenial; urgency=medium

  * Rebuild against No-change rebuild against multiarch and different qt
    flavour jreen 1.2.0-1fakesync1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Feb 2016 10:35:28 +0100

tomahawk (0.7.0+dfsg1-0ubuntu9) xenial; urgency=medium

  * No-change rebuild for qca2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 15:34:34 +0000

tomahawk (0.7.0+dfsg1-0ubuntu8) xenial; urgency=medium

  * No-change rebuild against new libechonest.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 12 Dec 2015 16:52:17 -0500

tomahawk (0.7.0+dfsg1-0ubuntu7) wily; urgency=medium

  * No-change rebuild against libclucene-core1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Aug 2015 18:34:45 +0000

tomahawk (0.7.0+dfsg1-0ubuntu6) utopic; urgency=medium

  * Build-depend on libquazip-dev rather than libquazip0-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Sep 2014 12:30:48 +0100

tomahawk (0.7.0+dfsg1-0ubuntu5) trusty; urgency=medium

  * Fix install files even harder for armhf (add arm specific file)
  * Set WITH_BREAKPAD to OFF for arm variants so maybe arm64 will build

 -- Scott Kitterman <scott@kitterman.com>  Sat, 22 Mar 2014 22:59:27 -0400

tomahawk (0.7.0+dfsg1-0ubuntu4) trusty; urgency=medium

  * Really fix install files (LP: #1295069)

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 20 Mar 2014 15:38:12 +0100

tomahawk (0.7.0+dfsg1-0ubuntu3) trusty; urgency=medium

  * Add kubuntu_fix-plugin-install.patch to fix plugin path installation
    (LP: #1287163)
  * Fix install files to not install headers

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Mar 2014 18:08:46 +0100

tomahawk (0.7.0+dfsg1-0ubuntu1) trusty; urgency=medium

  [ Aaron Honeycutt ]
  * New upstream release (LP: #1162601)
  * Repack upstream tarball so it's DFSG compliant

  [ Rohan Garg ]
  * Update copyright file a bit

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 10 Feb 2014 20:09:50 +0100

tomahawk (0.6.0+dfsg1-0ubuntu3) saucy; urgency=low

  * Rebuild for libechonest2.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Jul 2013 00:43:49 +0100

tomahawk (0.6.0+dfsg1-0ubuntu2) raring; urgency=low

  * Build with jreen and qtweetlib

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 15 Mar 2013 13:51:06 +0100

tomahawk (0.6.0+dfsg1-0ubuntu1) raring; urgency=low

  * Reduce dfsg stripping to fix build (source remains still DFSG compliant)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 07 Mar 2013 23:40:27 +0100

tomahawk (0.6.0+dfsg-0ubuntu1) raring; urgency=low

  [ Prasad Murthy ]
  * Update debian/copyright
  * debian/control:
    - Remove Recommends: gstreamer0.10-plugins-ugly
    - Update Maintainer to Kubuntu developers
    - Drop build-depends
      + libqtweetlib-dev
      + libjreen-dev
  * debian/rules:
    - override_dh_auto_configure:
      + Drop -DBUILD_RELEASE=ON
      + Drop -DCMAKE_BUILD_TYPE=Release

  [ Harald Sitter ]
  * New upstream release
  * Bump standards version to 3.9.4 and prepare for inclusion in raring
  * Make -dbg package section debug and priority extra
  * Don't version-dep on libechonest
  * Change libexec path from /usr/libexec to /usr/lib/tomahawk/libexec/
    as that seems more FHS compliant. Also int he long run plugins should
    become movable to /usr/lib/tomahawk/
  * Add debian/repack.stub and debian/repack.local to do DFSG repack

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 07 Mar 2013 23:29:42 +0100

tomahawk (0.6.0~beta1-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 14 Jan 2013 16:04:30 +0100

tomahawk (0.5.5-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release 
  * Add pkg-config to build-depends to fix a cmake warning with echonest
  * Bump build-dep on libechonest-dev to >= 2~

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 26 Jul 2012 12:38:28 +0200

tomahawk (0.5.4-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 15 Jul 2012 14:42:01 +0200

tomahawk (0.5.3-0ubuntu1~ppa1~quantal) quantal; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 07 Jul 2012 12:01:20 +0200

tomahawk (0.5.2-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 02 Jul 2012 00:23:22 +0200

tomahawk (0.5.1-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 01 Jul 2012 20:40:49 +0200

tomahawk (0.5.0-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release 
    - bump build-dep on attica
    - update install file

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 25 Jun 2012 15:24:46 +0200

tomahawk (0.4.2-0ubuntu1~ppa2~precise1) precise; urgency=low

  * Add build-dep on libquazip-dev 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 09 Apr 2012 01:24:04 +0200

tomahawk (0.4.2-0ubuntu1~ppa1~precise1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 07 Apr 2012 19:16:13 +0200

tomahawk (0.4.0-0ubuntu1~ppa1~precise3) precise; urgency=low

  * Import upstream commit c6cd6821bfe1e2c2a8de10f1ca3ea30940dbf27c from
    master as support_qtweetlibs_0.5.diff
    for QTweetLib 0.5 support and adjust it for tomahawk 0.4 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 11 Mar 2012 14:13:57 +0100

tomahawk (0.4.0-0ubuntu1~ppa1~precise2) precise; urgency=low

  * Rebuild against new QTweetLib 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 11 Mar 2012 11:26:26 +0100

tomahawk (0.4.0-0ubuntu1~ppa1~precise1) precise; urgency=low

  * New upstream release 
  * Drop jreen sources and packages and build-depend on libjreen-dev instead



=== debian/control ===
Source: tomahawk-player
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Stefan Ahlers <stef.ahlers@t-online.de>
Build-Depends: cmake,
               debhelper (>= 9),
               fonts-roboto-hinted,
               kdelibs-bin,
               kdelibs5-dev,
               libattica-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-thread-dev,
               libechonest-dev,
               libfftw3-dev,
               libgnutls28-dev,
               libgsasl7-dev,
               libjs-cryptojs,
               libjreen-dev,
               liblastfm-dev,
               liblucene++-dev,
               libphonon-dev,
               libphononexperimental-dev,
               libqca2-dev,
               libqjson-dev,
               libqt4-dev,
               libqt4-sql-sqlite,
               libqtwebkit-dev,
               libquazip-dev,
               libsamplerate0-dev,
               libsparsehash-dev,
               libssl-dev,
               libtag1-dev,
               libtelepathy-qt4-dev,
               libwebsocketpp-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools,
               qtkeychain-dev,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://tomahawk-player.org

Package: tomahawk
Architecture: any
Depends: fonts-roboto-hinted,
	 libqca2-plugin-ossl,
         libqt4-sql-sqlite,
         libtomahawk,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: phonon-backend-vlc
Description: Multi source music player
 A music player that plays not only your local collection, but also
 streams from SoundCloud, Spotify, Beats, YouTube and many more.
 You can even connect Tomahawk with your friends via Jabber / GTalk
 and share your playlists and collection.

Package: libtomahawk
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Core libraries for tomahawk
 A music player that plays not only your local collection, but also
 streams from SoundCloud, Spotify, Beats, YouTube and many more.
 You can even connect Tomahawk with your friends via Jabber / GTalk
 and share your playlists and collection.
 .
 This package contains the core libraries for the tomahawk player.

Package: libtomahawk-dev
Architecture: any
Multi-Arch: same
Depends: libtomahawk (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Core libraries for tomahawk – development files
 A music player that plays not only your local collection, but also
 streams from SoundCloud, Spotify, Beats, YouTube and many more.
 You can even connect Tomahawk with your friends via Jabber / GTalk
 and share your playlists and collection.
 .
 This package contains the development files for the core libraries.

Package: tomahawk-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: tomahawk (= ${binary:Version}), ${misc:Depends}
Description: Social media player - debugging symbols
 This package contains the debugging symbols to be used for debugging
 problems with the tomahawk package.

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,repacksuffix=+dfsg,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/tomahawk-player/tomahawk/tags .*/(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
